Unit avz2e_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc;

function avz2e(var V :Array of Extended; N :Integer; ISTEP :Integer;
                var J :Integer): Extended;
implementation

function avz2e(var V :Array of Extended; N :Integer; ISTEP :Integer;
                var J :Integer): Extended;
var                
IEND,I :Integer;
T,VMAX :Extended;
const
ZERO :Extended = 0.0e0;
label
_1;
begin
VMAX := ZERO;
J := 1;
IEND := Trunc( 1+(N-1)*ISTEP );
I := 1;
while ( I<=IEND ) do
 begin
  T := Abs(V[I-1]);
  if ( T <= VMAX ) 
   then goto _1;
  VMAX := T;
  J := I;
_1:
  inc(I,ISTEP);
 end;
J := Trunc( (J-1)/ISTEP+1 );
Result := VMAX;
end;

end.
